Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QCryptographicHash

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QCryptographicHash

All Implemented Interfaces:
  QtJambiInterface

    public class QCryptographicHash

extends QtJambiObject

The `QCryptographicHash` class provides a way to generate cryptographic hashes.

`QCryptographicHash` can be used to generate cryptographic hashes of binary or text data.

Currently Md4, Md5, and Sha1 are supported.

Nested Class Summary
`static class` | `QCryptographicHash.Algorithm` Press link for info on QCryptographicHash.Algorithm

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QCryptographicHash(QCryptographicHash.Algorithm method)` Constructs an object that can be used to create a cryptographic hash from data using `method`.

Method Summary
`void` | `addData(byte[] data)` Adds `data` to the cryptographic hash.
`void` | `addData(QByteArray data)` /overload
`static QCryptographicHash` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QCryptographicHash instance pointed to by nativePointer
`static QByteArray` | `hash(QByteArray data, QCryptographicHash.Algorithm method)` Returns the hash of `data` using `method`.
`void` | `reset()` Resets the object.
`QByteArray` | `result()` Returns the final hash value.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QCryptographicHash

    public QCryptographicHash(QCryptographicHash.Algorithm method)

  Constructs an object that can be used to create a cryptographic hash from data using `method`.

Method Detail

### addData

    public final void addData(QByteArray data)

  /overload

### reset

    public final void reset()

  Resets the object.

### result

    public final QByteArray result()

  Returns the final hash value.

### hash

    public static QByteArray hash(QByteArray data,
                                  QCryptographicHash.Algorithm method)

  Returns the hash of `data` using `method`.

### fromNativePointer

    public static QCryptographicHash fromNativePointer(QNativePointer nativePointer)

  This function returns the QCryptographicHash instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### addData

    public final void addData(byte[] data)

  Adds `data` to the cryptographic hash.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD